<?xml version="1.0"?>

<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>
<?xml-stylesheet href="chrome://browser/skin/preferences/preferences.css" type="text/css"?>

<window class="windowDialog"
        windowtype="Browser:Permissions"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	onload="ExceptionsManager.onLoad()"
	onunload="ExceptionsManager.onUnload()"
	width="400"
	height="400">

  <script src="chrome://unity/content/exceptions.js" />
  <vbox class="contentPane" flex="1">
    <description id="descrLabel">
    </description>
    <tree flex="1" onselect="ExceptionsManager.onSelect()" id="tree" seltype="single">
      <treecols>
	<treecol id="siteColumn" flex="1"/>
      </treecols>
      <treechildren flex="1" id="treeChildren">
      </treechildren>
    </tree>
  </vbox>
  <hbox align="end">
    <hbox flex="1">
      <button disabled="true" label="-" id="removeButton" oncommand="ExceptionsManager.onRemove()" />
      <button label="+" oncommand="ExceptionsManager.onAdd()"/>
      <textbox flex="1" id="siteText" />
    </hbox>
  </hbox>
  <hbox class="actionButtons">
    <scpacer flex="1"/>
    <button id="closeButton" oncommand="window.close()"/>
  </hbox>
</window>
